package com.mycompany.ejbs;

import java.rmi.RemoteException;
import java.util.Enumeration;
import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

public interface BeverageHome extends EJBHome
 {
  public Beverage create(Long usersId, String beverage) throws CreateException, RemoteException;
  public Beverage findByPrimaryKey(BeverageKey key) throws RemoteException, FinderException;
  public Beverage findByUsersId(Long usersId) throws RemoteException, FinderException;
  public Enumeration findByBeverage(String beverage) throws RemoteException, FinderException;
 }
